<?php

/**
 * Checks if there's more than one author
 *
 * @since 0.1
 * @return bool
 */
function check_for_multi_author() {
	global $wpdb;

	$author_count = array();
	foreach ( (array) $wpdb->get_results("SELECT DISTINCT post_author, COUNT(ID) AS count FROM $wpdb->posts WHERE post_type = 'post' AND " . get_private_posts_cap_sql( 'post' ) . " GROUP BY post_author") as $row )
		$author_count[$row->post_author] = $row->count;

	return ( count( $author_count ) > 1 ) ? true : false;
}

function blog_has_tags() {
	$tags = get_tags( 'hide_empty=1' );

	return ( ! empty( $tags ) );
}

function get_admin_name() {
	$user_info = get_userdata(1);
	return $user_info->display_name;
}

/**
 * Function for turning string values into booleans
 * This is needed because user input when using shortcodes
 * is automatically turned into a string.  So, we'll take those
 * values and convert them.
 *
 * @since 0.3
 * @param string $value String to convert to a boolean.
 * @return bool|string
 */
function shortcode_string_to_bool( $value ) {

	if ( $value == 'true' || $value == 'TRUE' || $value == '1' ) 
		return true;

	elseif ( $value == 'false' || $value == 'FALSE' || $value == '0' )
		return false;

	else
		return $value;
}